defmodule Diffuser.Accounts.Vote do
  use Diffuser.Schema
  import Ecto.Changeset
  alias Diffuser.Generator.PromptRequest
  alias Diffuser.Accounts.User

  schema "votes" do
    belongs_to :prompt_request, PromptRequest
    belongs_to :user, User

    timestamps()
  end

  @doc false
  def changeset(vote, attrs) do
    vote
    |> cast(attrs, [:prompt_request_id, :user_id])
    |> validate_required([])
  end
end
